MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Nitf::SecurityMetadata Class Reference

container for Security metadata More...

`#include <SecurityMetadata.h>`

## Public Member Functions
| SecurityMetadata ()
| SecurityMetadata (const SecurityMetadata &)
| ~SecurityMetadata ()
SecurityMetadata & | operator= (const SecurityMetadata &)
LT_STATUS | setDataV20 (const char *)
| sets the version field More...
const char * | getDataV20 () const
| gets the version field More...
LT_STATUS | setSCLAS (const char *)
| sets the SCLAS field More...
const char * | getSCLAS () const
| sets the version field More...
LT_STATUS | setSCLSY (const char *)
| sets the SCLSY field More...
const char * | getSCLSY () const
| gets the SCLSY field More...
LT_STATUS | setSCODE (const char *)
| sets the SCODE field More...
const char * | getSCODE () const
| gets the SCODE field More...
LT_STATUS | setSCTLH (const char *)
| sets the SCTLH field More...
const char * | getSCTLH () const
| gets the SCTLH field More...
LT_STATUS | setSREL (const char *)
| sets the SREL field More...
const char * | getSREL () const
| gets the SREL field More...
LT_STATUS | setSDCTP (const char *)
| sets the SCDCTP field More...
const char * | getSDCTP () const
| gets the SDCTP field More...
LT_STATUS | setSDCDT (const char *)
| sets the SDCDT field More...
const char * | getSDCDT () const
| gets the SDCDT field More...
LT_STATUS | setSDCXM (const char *)
| sets the SDCXM field More...
const char * | getSDCXM () const
| gets the SDCXM field More...
LT_STATUS | setSDG (const char *)
| sets the SDG field More...
const char * | getSDG () const
| gets the SDGY field More...
LT_STATUS | setSDGDT (const char *)
| sets the SDGDT field More...
const char * | getSDGDT () const
| gets the SDGDT field More...
LT_STATUS | setSCLTX (const char *)
| sets the SCLTX field More...
const char * | getSCLTX () const
| gets the SCLTX field More...
LT_STATUS | setSCATP (const char *)
| sets the SCATP field More...
const char * | getSCATP () const
| gets the SCATP field More...
LT_STATUS | setSCAUT (const char *)
| sets the SCAUT field More...
const char * | getSCAUT () const
| gets the SCAUT field More...
LT_STATUS | setSCRSN (const char *)
| sets the SCRSN field More...
const char * | getSCRSN () const
| gets the SCRSN field More...
LT_STATUS | setSSRDT (const char *)
| sets the SSRDT field More...
const char * | getSSRDT () const
| gets the SSRDT field More...
LT_STATUS | setSCTLN (const char *)
| sets the SCTLN field More...
const char * | getSCTLN () const
| gets the SCTL field More...

## Detailed Description

This class is a container for all the secuirty metadata for an NITF file. It is used with the various NITF image manager, reader, and writer classes.

For details on the length, formatting, etc, of each field, consult the 2500C NITF specification.

Usage Notes:

- all "set" calls will make local copies of their strings
- caller is responsible for blank-padding of strings
- caller is repsonsible for checking proper formatting
- all strings are initialized to reasonable defaults (usually just blanks)

Definition at line 38 of file SecurityMetadata.h.

## Constructor & Destructor Documentation

Nitf::SecurityMetadata::SecurityMetadata | ( | ) |  |

Nitf::SecurityMetadata::SecurityMetadata | ( | const SecurityMetadata & | ) |  |

Nitf::SecurityMetadata::~SecurityMetadata | ( | ) |  |

## Member Function Documentation

const char* Nitf::SecurityMetadata::getDataV20 | ( | ) |  | const

const char* Nitf::SecurityMetadata::getSCATP | ( | ) |  | const

const char* Nitf::SecurityMetadata::getSCAUT | ( | ) |  | const

const char* Nitf::SecurityMetadata::getSCLAS | ( | ) |  | const

const char* Nitf::SecurityMetadata::getSCLSY | ( | ) |  | const

const char* Nitf::SecurityMetadata::getSCLTX | ( | ) |  | const

const char* Nitf::SecurityMetadata::getSCODE | ( | ) |  | const

const char* Nitf::SecurityMetadata::getSCRSN | ( | ) |  | const

const char* Nitf::SecurityMetadata::getSCTLH | ( | ) |  | const

const char* Nitf::SecurityMetadata::getSCTLN | ( | ) |  | const

const char* Nitf::SecurityMetadata::getSDCDT | ( | ) |  | const

const char* Nitf::SecurityMetadata::getSDCTP | ( | ) |  | const

const char* Nitf::SecurityMetadata::getSDCXM | ( | ) |  | const

const char* Nitf::SecurityMetadata::getSDG | ( | ) |  | const

const char* Nitf::SecurityMetadata::getSDGDT | ( | ) |  | const

const char* Nitf::SecurityMetadata::getSREL | ( | ) |  | const

const char* Nitf::SecurityMetadata::getSSRDT | ( | ) |  | const

SecurityMetadata& Nitf::SecurityMetadata::operator= | ( | const SecurityMetadata & | ) |  |

LT_STATUS Nitf::SecurityMetadata::setDataV20 | ( | const char * | ) |  |

LT_STATUS Nitf::SecurityMetadata::setSCATP | ( | const char * | ) |  |

LT_STATUS Nitf::SecurityMetadata::setSCAUT | ( | const char * | ) |  |

LT_STATUS Nitf::SecurityMetadata::setSCLAS | ( | const char * | ) |  |

LT_STATUS Nitf::SecurityMetadata::setSCLSY | ( | const char * | ) |  |

LT_STATUS Nitf::SecurityMetadata::setSCLTX | ( | const char * | ) |  |

LT_STATUS Nitf::SecurityMetadata::setSCODE | ( | const char * | ) |  |

LT_STATUS Nitf::SecurityMetadata::setSCRSN | ( | const char * | ) |  |

LT_STATUS Nitf::SecurityMetadata::setSCTLH | ( | const char * | ) |  |

LT_STATUS Nitf::SecurityMetadata::setSCTLN | ( | const char * | ) |  |

LT_STATUS Nitf::SecurityMetadata::setSDCDT | ( | const char * | ) |  |

LT_STATUS Nitf::SecurityMetadata::setSDCTP | ( | const char * | ) |  |

LT_STATUS Nitf::SecurityMetadata::setSDCXM | ( | const char * | ) |  |

LT_STATUS Nitf::SecurityMetadata::setSDG | ( | const char * | ) |  |

LT_STATUS Nitf::SecurityMetadata::setSDGDT | ( | const char * | ) |  |

LT_STATUS Nitf::SecurityMetadata::setSREL | ( | const char * | ) |  |

LT_STATUS Nitf::SecurityMetadata::setSSRDT | ( | const char * | ) |  |

The documentation for this class was generated from the following file:

- SecurityMetadata.h

LizardTech